###############################################################################
#	Filename:	NxFemaleExtra1.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Loads Ambassador NxFemaleExtra1, and configures animations.
#	
#	Created:	10/03/00 -	CCarley
###############################################################################

import App
import CharacterPaths

#kDNxugObj = App.CPyDNxug()

###############################################################################
#	CreateCharacter()
#
#	Create NxFemaleExtra1 by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacter(pSet):
#	kDNxugObj.Print("Creating NxFemaleExtra1")

	if (pSet.GetObject("NxFemaleExtra1") != None):
		return(App.CharacterClass_Cast(pSet.GetObject("FemaleExtra1")))

	CharacterPaths.UpdatePaths()
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadFem3/fem3_head.nif", None)
	pNxFemaleExtra1 = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", CharacterPaths.g_pcHeadNIFPath + "HeadFem3/fem3_head.nif")

	pNxFemaleExtra1.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "BodyFemS/FedFemGold_body.tga", CharacterPaths.g_pcHeadTexPath + "HeadFem3/female_ensignB_head.tga")

	# Add the character to the set
	pSet.AddObjectToSet(pNxFemaleExtra1, "FemaleExtra1")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxFemaleExtra1)

	# Setup the character configuration
	pNxFemaleExtra1.SetSize(App.CharacterClass.MEDIUM)
	pNxFemaleExtra1.SetGender(App.CharacterClass.Female)
	pNxFemaleExtra1.SetRandomAnimationChance(.75)
	pNxFemaleExtra1.SetBlinkChance(0.1)
	pNxFemaleExtra1.SetCharacterName("FemaleExtra1")

	pNxFemaleExtra1.SetHidden(1)

	# Load NxFemaleExtra1's generic sounds
	LoadSounds()

	# Create NxFemaleExtra1's menus
	#import NxFemaleExtra1MenuHandlers
	#NxFemaleExtra1MenuHandlers.CreateMenus(pNxFemaleExtra1)

	pNxFemaleExtra1.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pNxFemaleExtra1.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pNxFemaleExtra1.SetLocation("")

#	kDNxugObj.Print("Finished creating NxFemaleExtra1")
	return pNxFemaleExtra1

###############################################################################
#	ConfigureForGalaxy()
#
#	Configure ourselves for the Galaxy bridge
#
#	Args:	pNxFemaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForGalaxy(pNxFemaleExtra1):
#	kDNxugObj.Print("Configuring NxFemaleExtra1 for the Galaxy bridge")

	# Clear out any old animations from another configuration
	pNxFemaleExtra1.ClearAnimations()

	#
	# *** CURRENTLY NxFemaleExtra1 HAS NO GALAXY CLASS ANIMATIONS ***
	#

	# Add common animations.
	AddCommonAnimations(pNxFemaleExtra1)

	pNxFemaleExtra1.SetAsExtra(1)
	pNxFemaleExtra1.SetHidden(1)

	pNxFemaleExtra1.SetLocation("DBL2M")
#	kDNxugObj.Print("Finished configuring NxFemaleExtra1")

###############################################################################
#	ConfigureForNx()
#
#	Configure ourselves for the Sovereign bridge
#
#	Args:	pNxFemaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForNx(pFemaleExtra1):
#	kDNxugObj.Print("Configuring NxFemaleExtra1 for the Nx bridge")

	# Clear out any old animations from another configuration
	pFemaleExtra1.ClearAnimations()

	# Register animation mappings
	pFemaleExtra1.AddAnimation("NxL2MToG", "Bridge.Characters.NxMediumAnimations.NxL2ToG1")
	pFemaleExtra1.AddAnimation("NxG1MToL", "Bridge.Characters.NxMediumAnimations.NxG1ToL2")
	pFemaleExtra1.AddAnimation("StandingNxG1M", "Bridge.Characters.CommonAnimations.Standing")
	pFemaleExtra1.SetStanding(1)

	# Hit animations
	pFemaleExtra1.AddAnimation("NxG1MHitStanding", "Bridge.Characters.CommonAnimations.HitStanding")
	pFemaleExtra1.AddAnimation("NxG1MHitHardStanding", "Bridge.Characters.CommonAnimations.HitHardStanding")
	pFemaleExtra1.AddAnimation("NxG1MReactLeft", "Bridge.Characters.CommonAnimations.ReactLeft")
	pFemaleExtra1.AddAnimation("NxG1MReactRight", "Bridge.Characters.CommonAnimations.ReactRight")
	pFemaleExtra1.AddAnimation("NxG1MFly", "Bridge.Characters.CommonAnimations.Blast")

	pFemaleExtra1.SetAsExtra(1)
	pFemaleExtra1.SetHidden(1)

	# Add common animations.
	AddCommonAnimations(pFemaleExtra1)

	pFemaleExtra1.SetLocation("NxL2M")
#	kDNxugObj.Print("Finished configuring NxFemaleExtra1")
###############################################################################
#	AddCommonAnimations()
#
#	Since we can only clear out all animations when switching bridges (how
#	would we know which not to clear?), we can't really setup animations common
#	to all bridge configurations as we might like.  Because of this we have a
#	routine to add common animations (most of which are randoms) that both
#	configurations will call
#
#	Args:	pNxFemaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def AddCommonAnimations(pNxFemaleExtra1):
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadLeft")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadRight")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookLeft")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookRight")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookUp")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookDown")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.HitCommunicator")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleDown")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleUp")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsole")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.NxMediumAnimations.NxExtraConsoleInteraction")
	pNxFemaleExtra1.AddRandomAnimation("Bridge.Characters.NxMediumAnimations.NxExtraConsoleInteraction")


###############################################################################
#	LoadSounds()
#
#	Load generic bridge sounds for this character
#
#	Args:	none
#
#	Return:	none
###############################################################################
def LoadSounds():
	#
	# NxFemaleExtra1 has no generic bridge sounds at this time
	#
	pass
