###############################################################################
#	Filename:	NxMaleExtra1.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Loads Ambassador NxMaleExtra1, and configures animations.
#	
#	Created:	10/03/00 -	CCarley
###############################################################################

import App
import CharacterPaths

#kDNxugObj = App.CPyDNxug()

###############################################################################
#	CreateCharacter()
#
#	Create NxMaleExtra1 by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacter(pSet):
#	kDNxugObj.Print("Creating NxMaleExtra1")

	if (pSet.GetObject("NxMaleExtra1") != None):
		return(App.CharacterClass_Cast(pSet.GetObject("MaleExtra1")))

	CharacterPaths.UpdatePaths()
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyNxMaleM/BodyNxMaleM.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadPicard/Picard_head.nif", None)
	pNxMaleExtra1 = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyNxMaleM/BodyNxMaleM.nif", CharacterPaths.g_pcHeadNIFPath + "HeadPicard/Picard_head.nif")
	pNxMaleExtra1.ReplacNxodyAndHead(CharacterPaths.g_pcBodyTexPath + "BodyNxMaleM/FedGold_body.tga", CharacterPaths.g_pcHeadTexPath + "HeadPicard/NxMale_ensignA_head.tga")

	# Add the character to the set
	pSet.AddObjectToSet(pNxMaleExtra1, "MaleExtra1")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxMaleExtra1)

	# Setup the character configuration
	pNxMaleExtra1.SetSize(App.CharacterClass.MEDIUM)
	pNxMaleExtra1.SetGender(App.CharacterClass.Male)
	pNxMaleExtra1.SetRandomAnimationChance(.75)
	pNxMaleExtra1.SetBlinkChance(0.1)
	pNxMaleExtra1.SetCharacterName("MaleExtra1")

	pNxMaleExtra1.SetHidden(1)

	# Load NxMaleExtra1's generic sounds
	LoadSounds()

	# Create NxMaleExtra1's menus
	#import NxMaleExtra1MenuHandlers
	#NxMaleExtra1MenuHandlers.CreateMenus(pNxMaleExtra1)

	pNxMaleExtra1.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pGame = App.Game_GetCurrentGame()
	#pGame.LoadDatabaseSoundInGroup(pNxMaleExtra1.GetDatabase(), "NxMaleExtra1NothingToAdd", "BridgeGeneric")

#	kDNxugObj.Print("Finished creating NxMaleExtra1")
	return pNxMaleExtra1

###############################################################################
#	ConfigureForGalaxy()
#
#	Configure ourselves for the Galaxy bridge
#
#	Args:	pNxMaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForGalaxy(pNxMaleExtra1):
#	kDNxugObj.Print("Configuring NxMaleExtra1 for the Galaxy bridge")

	# Clear out any old animations from another configuration
	pNxMaleExtra1.ClearAnimations()

	#
	# *** CURRENTLY NxMaleExtra1 HAS NO GALAXY CLASS ANIMATIONS ***
	#

	# Add common animations.
	AddCommonAnimations(pNxMaleExtra1)

	pNxMaleExtra1.SetAsExtra(1)
	pNxMaleExtra1.SetHidden(1)

	pNxMaleExtra1.SetLocation("DBL2M")
#	kDNxugObj.Print("Finished configuring NxMaleExtra1")


###############################################################################
#	ConfigureForSovereign()
#
#	Configure ourselves for the Nx bridge
#
#	Args:	pNxMaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForNx(pMaleExtra1):
#	kDebugObj.Print("Configuring MaleExtra1 for the Sovereign bridge")

	# Clear out any old animations from another configuration
	pMaleExtra1.ClearAnimations()

	# Register animation mappings
	pMaleExtra1.AddAnimation("NxL2MToG", "Bridge.Characters.NxMediumAnimations.NxL2ToG1")
	pMaleExtra1.AddAnimation("NxG1MToL", "Bridge.Characters.NxMediumAnimations.NxG1ToL2")
	pMaleExtra1.AddAnimation("StandingNxG1M", "Bridge.Characters.CommonAnimations.Standing")
	pMaleExtra1.SetStanding(1)

	# Hit animations
	pMaleExtra1.AddAnimation("NxG1MHitStanding", "Bridge.Characters.CommonAnimations.HitStanding")
	pMaleExtra1.AddAnimation("NxG1MHitHardStanding", "Bridge.Characters.CommonAnimations.HitHardStanding")
	pMaleExtra1.AddAnimation("NxG1MReactLeft", "Bridge.Characters.CommonAnimations.ReactLeft")
	pMaleExtra1.AddAnimation("NxG1MReactRight", "Bridge.Characters.CommonAnimations.ReactRight")

	pMaleExtra1.SetAsExtra(1)
	pMaleExtra1.SetHidden(1)

	# Add common animations.
	AddCommonAnimations(pMaleExtra1)

	pMaleExtra1.SetLocation("NxL2M")
#	kDebugObj.Print("Finished configuring MaleExtra1")


###############################################################################
#	AddCommonAnimations()
#
#	Since we can only clear out all animations when switching bridges (how
#	would we know which not to clear?), we can't really setup animations common
#	to all bridge configurations as we might like.  Because of this we have a
#	routine to add common animations (most of which are randoms) that both
#	configurations will call
#
#	Args:	pNxMaleExtra1	- our Character object
#
#	Return:	none
###############################################################################
def AddCommonAnimations(pNxMaleExtra1):
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadLeft")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadRight")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookLeft")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookRight")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookUp")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookDown")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.HitCommunicator")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleDown")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleUp")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsole")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.NxMediumAnimations.NxExtraConsoleInteraction")
	pNxMaleExtra1.AddRandomAnimation("Bridge.Characters.NxMediumAnimations.NxExtraConsoleInteraction")

###############################################################################
#	LoadSounds()
#
#	Load generic bridge sounds for this character
#
#	Args:	none
#
#	Return:	none
###############################################################################
def LoadSounds():
	#
	# NxMaleExtra1 has no generic bridge sounds at this time
	#
	pass
