import Foundation

Foundation.BridgeDef('Nx01', 'NXBridge', dict = {
	'modes': [  Foundation.MutatorDef.QuickBattle ],
	'locations': {
	# Nx-01-Bridge Locations
	'NxHelm':	[ 'data/animations/Nx_stand_h_m.nif', 'Nx_stand_h_m' ],
	'NxTactical':	[ 'data/animations/Nx_stand_t_l.nif', 'Nx_stand_t_l' ],
	'NxCommander':	[ 'data/animations/Nx_stand_c_m.nif', 'Nx_stand_c_m' ],
	'NxScience':	[ 'data/animations/Nx_stand_S_S.nif', 'Nx_stand_s_s' ],
	'NxEngineer':	[ 'data/animations/Nx_stand_e_s.nif', 'Nx_stand_e_s' ],
	'NxXT01':	[ 'data/animations/Nx_standing_XT01.nif', 'Nx_standing_XT01' ],
	'NxL1M':	[ 'data/animations/Nx_L1toG3_M.nif', 'Nx_L1toG3_M', 'pCharacter.SetHidden(1)' ],
	'NxG3M':	[ 'data/animations/Nx_G3toL1_M.nif', 'Nx_G3toL1_M' ],
	},
	'Maps':{
		'CurrentMaps': {"CONSOLE2" : "CONSOLE2", "CONSOLE3" : "CONSOLE3", "CONSOLE5" : "CONSOLE5", "CONSOLE8" : "CONSOLE8", "CONSOLE9" : "CONSOLE9", "CONSOLE10" : "CONSOLE10", "CONSOLE13" : "CONSOLE13", "CONSOLE12" : "CONSOLE12"},
		'GreenMaps':{'CONSOLE2': 'data/Models/Sets/NXBridge/High/CONSOLE2.tga',
			     'CONSOLE3': 'data/Models/Sets/NXBridge/High/CONSOLE3.tga',
			     'CONSOLE5': 'data/Models/Sets/NXBridge/High/CONSOLE5.tga',
			     'CONSOLE8': 'data/Models/Sets/NXBridge/High/CONSOLE8.tga',
			     'CONSOLE9': 'data/Models/Sets/NXBridge/High/CONSOLE9.tga',
			     'CONSOLE10': 'data/Models/Sets/NXBridge/High/CONSOLE10.tga',
			     'CONSOLE13': 'data/Models/Sets/NXBridge/High/CONSOLE13.tga',
			     'CONSOLE12': 'data/Models/Sets/NXBridge/High/CONSOLE12.tga'},
		'YellowMaps': {'CONSOLE2':
'data/Models/Sets/NXBridge/High/CONSOLE2red.tga', 
			     'CONSOLE3': 'data/Models/Sets/NXBridge/High/CONSOLE3red.tga', 
			     'CONSOLE5': 'data/Models/Sets/NXBridge/High/CONSOLE5red.tga', 
			     'CONSOLE8': 'data/Models/Sets/NXBridge/High/CONSOLE8red.tga', 
			     'CONSOLE9': 'data/Models/Sets/NXBridge/High/CONSOLE9red.tga', 
                             'CONSOLE10':
'data/Models/Sets/NXBridge/High/CONSOLE10red.tga', 
			     'CONSOLE13': 'data/Models/Sets/NXBridge/High/CONSOLE13red.tga', 
			     'CONSOLE12': 'data/Models/Sets/NXBridge/High/CONSOLE12red.tga'},
		'RedMaps': {'CONSOLE2':
'data/Models/Sets/NXBridge/High/CONSOLE2red.tga', 
			     'CONSOLE3': 'data/Models/Sets/NXBridge/High/CONSOLE3red.tga', 
			     'CONSOLE5': 'data/Models/Sets/NXBridge/High/CONSOLE5red.tga', 
			     'CONSOLE8': 'data/Models/Sets/NXBridge/High/CONSOLE8red.tga', 
			     'CONSOLE9': 'data/Models/Sets/NXBridge/High/CONSOLE9red.tga', 
                             'CONSOLE10':
'data/Models/Sets/NXBridge/High/CONSOLE10red.tga', 
			     'CONSOLE13': 'data/Models/Sets/NXBridge/High/CONSOLE13red.tga', 
			     'CONSOLE12': 'data/Models/Sets/NXBridge/High/CONSOLE12red.tga'},
},
	"bridgeSound":	{
		"LiftDoor": {"volume": 0.5,"file": "sfx/NX/door.wav", "group": "BridgeGeneric"},
		"AmbBridge": {"volume": 0.3,"file": "sfx/NX/amb.wav", "group": "BridgeGeneric"},
		"RedAlertSound": {"volume": 1.0,"file": "sfx/NX/red.wav", "group": "BridgeGeneric"},
		"YellowAlertSound": {"volume": 1.0,"file": "sfx/NX/yellow.wav", "group": "BridgeGeneric"},
		"GreenAlertSound": {"volume": 1.0,"file": "sfx/NX/green.wav", "group": "BridgeGeneric"},
		"ViewOn": {"volume": 1.0,"file": "sfx/NX/NXHailIn.wav", "group": "BridgeGeneric"},
		"ViewOff": {"volume": 1.0,"file": "sfx/NX/NXHailOut.wav", "group": "BridgeGeneric"}
	},
	"LoadingScreen": "data/Icons/LoadingScreens/NXLoading.tga",
} )