import Foundation

Foundation.BridgeDef('Nx01-S4', 'NXS4Bridge', dict = {
	'modes': [  Foundation.MutatorDef.QuickBattle ],
	'locations': {
	# Nx-01-Bridge Locations
	'NxHelm':	[ 'data/animations/Nx_stand_h_m.nif', 'Nx_stand_h_m' ],
	'NxTactical':	[ 'data/animations/Nx_stand_t_l.nif', 'Nx_stand_t_l' ],
	'NxCommander':	[ 'data/animations/Nx_stand_c_m.nif', 'Nx_stand_c_m' ],
	'NxScience':	[ 'data/animations/Nx_stand_S_S.nif', 'Nx_stand_s_s' ],
	'NxEngineer':	[ 'data/animations/Nx_stand_e_s.nif', 'Nx_stand_e_s' ],
	'NxXT01':	[ 'data/animations/Nx_standing_XT01.nif', 'Nx_standing_XT01' ],
	'NxL1M':	[ 'data/animations/Nx_L1toG3_M.nif', 'Nx_L1toG3_M', 'pCharacter.SetHidden(1)' ],
	'NxG3M':	[ 'data/animations/Nx_G3toL1_M.nif', 'Nx_G3toL1_M' ],
	},
	'Maps':{
		'CurrentMaps': {"CONSOLE2b" : "CONSOLE2b", "CONSOLE3" : "CONSOLE3", "CONSOLE5b" : "CONSOLE5b", "CONSOLE8b" : "CONSOLE8b", "CONSOLE9" : "CONSOLE9", "CONSOLE10b" : "CONSOLE10b", "CONSOLE13" : "CONSOLE13", "CONSOLE12b" : "CONSOLE12b"},
		'GreenMaps':{'CONSOLE2b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE2b.tga',
			     'CONSOLE3': 'data/Models/Sets/NXS4Bridge/High/CONSOLE3.tga',
			     'CONSOLE5b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE5b.tga',
			     'CONSOLE8b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE8b.tga',
			     'CONSOLE9': 'data/Models/Sets/NXS4Bridge/High/CONSOLE9.tga',
			     'CONSOLE10b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE10b.tga',
			     'CONSOLE13': 'data/Models/Sets/NXS4Bridge/High/CONSOLE13.tga',
			     'CONSOLE12b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE12b.tga'},
		'YellowMaps': {'CONSOLE2b':
'data/Models/Sets/NXS4Bridge/High/CONSOLE2red.tga', 
			     'CONSOLE3': 'data/Models/Sets/NXS4Bridge/High/CONSOLE3red.tga', 
			     'CONSOLE5b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE5red.tga', 
			     'CONSOLE8b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE8red.tga', 
			     'CONSOLE9': 'data/Models/Sets/NXS4Bridge/High/CONSOLE9red.tga', 
                             'CONSOLE10b':
'data/Models/Sets/NXS4Bridge/High/CONSOLE10red.tga', 
			     'CONSOLE13': 'data/Models/Sets/NXS4Bridge/High/CONSOLE13red.tga', 
			     'CONSOLE12b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE12red.tga'},
		'RedMaps': {'CONSOLE2b':
'data/Models/Sets/NXS4Bridge/High/CONSOLE2red.tga', 
			     'CONSOLE3': 'data/Models/Sets/NXS4Bridge/High/CONSOLE3red.tga', 
			     'CONSOLE5b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE5red.tga', 
			     'CONSOLE8b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE8red.tga', 
			     'CONSOLE9': 'data/Models/Sets/NXS4Bridge/High/CONSOLE9red.tga', 
                             'CONSOLE10b':
'data/Models/Sets/NXS4Bridge/High/CONSOLE10red.tga', 
			     'CONSOLE13': 'data/Models/Sets/NXS4Bridge/High/CONSOLE13red.tga', 
			     'CONSOLE12b': 'data/Models/Sets/NXS4Bridge/High/CONSOLE12red.tga'},
},
	"bridgeSound":	{
		"LiftDoor": {"volume": 0.5,"file": "sfx/NX/door.wav", "group": "BridgeGeneric"},
		"AmbBridge": {"volume": 0.3,"file": "sfx/NX/amb.wav", "group": "BridgeGeneric"},
		"RedAlertSound": {"volume": 1.0,"file": "sfx/NX/red.wav", "group": "BridgeGeneric"},
		"YellowAlertSound": {"volume": 1.0,"file": "sfx/NX/yellow.wav", "group": "BridgeGeneric"},
		"GreenAlertSound": {"volume": 1.0,"file": "sfx/NX/green.wav", "group": "BridgeGeneric"},
		"ViewOn": {"volume": 1.0,"file": "sfx/NX/NXHailIn.wav", "group": "BridgeGeneric"},
		"ViewOff": {"volume": 1.0,"file": "sfx/NX/NXHailOut.wav", "group": "BridgeGeneric"}
	},
	"LoadingScreen": "data/Icons/LoadingScreens/NXLoading.tga",
} )