###############################################################################
#	Filename:	Felix.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Loads Felix Savali, tactical officer, and configures animations.
#	
#	Created:	3/28/00 -	Erik Novales
###############################################################################

import App
import CharacterPaths

#kDebugObj = App.CPyDebug()

###############################################################################
#	CreateCharacter()
#
#	Create Felix by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacter(pSet):
#	kDebugObj.Print("Creating Felix")
	
	if (pSet.GetObject("Tactical") != None):
		return(App.CharacterClass_Cast(pSet.GetObject("Tactical")))

	CharacterPaths.UpdatePaths()
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "Headklingon/klingon_head.nif", None)
	pNxPDWFelix = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", CharacterPaths.g_pcHeadNIFPath + "Headklingon/klingon_head.nif")
	pNxPDWFelix.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "../BridgeCrew/Felix/felix_body.tga", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")

	pNxPDWFelix.SetCharacterName("Felix")

	# Add the character to the set
	pSet.AddObjectToSet(pNxPDWFelix, "Tactical")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxPDWFelix)

	# Set up character configuration
	pNxPDWFelix.SetSize(App.CharacterClass.LARGE)
	pNxPDWFelix.SetGender(App.CharacterClass.MALE)
	pNxPDWFelix.SetStanding(1)
	pNxPDWFelix.SetRandomAnimationChance(0.75)
	pNxPDWFelix.SetBlinkChance(0.1)
	pNxPDWFelix.SetAudioMode(App.CharacterClass.CAM_EXTREMELY_VOCAL)
	pNxPDWFelix.SetDatabase("data/TGL/Bridge Crew General.tgl")

	LoadSounds()

	pNxPDWFelix.AddFacialImage("Blink0", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.AddFacialImage("Blink1", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.AddFacialImage("Blink2", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.SetBlinkStages(3)

	pNxPDWFelix.AddFacialImage("SpeakA", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.AddFacialImage("SpeakE", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.AddFacialImage("SpeakU", CharacterPaths.g_pcHeadTexPath + "../Ramblers/heads/HeadKlingon/kartok_head.tga")
	pNxPDWFelix.SetAnimatedSpeaking(1)

	pMenusDatabase = App.g_kLocalizationManager.Load("data/TGL/Bridge Menus.tgl")
	pTop = App.TopWindow_GetTopWindow()
	pTacticalControlWindow = App.TacticalControlWindow_GetTacticalControlWindow()
	pNxPDWFelix.SetMenu(pTacticalControlWindow.FindMenu(pMenusDatabase.GetString("Tactical")))
	App.g_kLocalizationManager.Unload(pMenusDatabase)

	pNxPDWFelix.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pNxPDWFelix.SetLocation("")

#	kDebugObj.Print("Finished creating Felix")
	return pNxPDWFelix

###############################################################################
#	CreateCharacterNoSounds()
#
#	Create Felix by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacterNoSounds(pSet):
#	kDebugObj.Print("Creating Felix")
	
	import Bridge.TacticalMenuHandlers
	Bridge.TacticalMenuHandlers.CreateMenusNoSounds(pNxPDWFelix)

	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadFelix/felix_head.nif", None)
	pNxPDWFelix = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", CharacterPaths.g_pcHeadNIFPath + "HeadFelix/felix_head.nif")
	pNxPDWFelix.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "../BridgeCrew/Felix/felix_body.tga", CharacterPaths.g_pcHeadTexPath + "../BridgeCrew/Felix/felix_head.tga")

	pNxPDWFelix.SetCharacterName("Felix")

	# Add the character to the set
	pSet.AddObjectToSet(pNxPDWFelix, "Tactical")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxPDWFelix)

	# Set up character configuration
	pNxPDWFelix.SetSize(App.CharacterClass.LARGE)
	pNxPDWFelix.SetGender(App.CharacterClass.MALE)
	pNxPDWFelix.SetStanding(1)
	pNxPDWFelix.SetHidden(1)
	pNxPDWFelix.SetRandomAnimationChance(0.75)
	pNxPDWFelix.SetBlinkChance(0.1)
	pNxPDWFelix.SetAudioMode(App.CharacterClass.CAM_EXTREMELY_VOCAL)
	pNxPDWFelix.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pBrex.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pBrex.SetLocation("")

#	kDebugObj.Print("Finished creating Felix")
	return pNxPDWFelix


###############################################################################
#	CreateCharacterNoMenu()
#
#	Create Felix by building his character and placing him on the passed in set.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacterNoMenu(pSet):
#	kDebugObj.Print("Creating Felix")
	
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadFelix/felix_head.nif", None)
	pNxPDWFelix = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyMaleL/BodyMaleL.nif", CharacterPaths.g_pcHeadNIFPath + "HeadFelix/felix_head.nif")
	pNxPDWFelix.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "BodyMaleM/FedGold_body.tga", CharacterPaths.g_pcHeadTexPath + "HeadFelix/felix_head.tga")

	pNxPDWFelix.SetCharacterName("Felix")

	# Add the character to the set
	pSet.AddObjectToSet(pNxPDWFelix, "Tactical")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxPDWFelix)

	# Set up character configuration
	pNxPDWFelix.SetSize(App.CharacterClass.LARGE)
	pNxPDWFelix.SetGender(App.CharacterClass.MALE)
	pNxPDWFelix.SetStanding(1)
	pNxPDWFelix.SetHidden(1)
	pNxPDWFelix.SetRandomAnimationChance(0.75)
	pNxPDWFelix.SetBlinkChance(0.1)
	pNxPDWFelix.SetAudioMode(App.CharacterClass.CAM_EXTREMELY_VOCAL)
	pNxPDWFelix.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pNxPDWFelix.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pNxPDWFelix.SetLocation("")

#	kDebugObj.Print("Finished creating Felix")
	return pNxPDWFelix


###############################################################################
#	ConfigureForShip()
#
#	Configure ourselves for the particular ship object.  This involves setting
#	up range watchers that tell us how to report.
#
#	Args:	pSet	- the Set object
#			pShip	- the player's ship
#
#	Return:	none
###############################################################################
def ConfigureForShip(pSet, pShip):
	# Get our character object
	pNxPDWFelix = App.CharacterClass_Cast(pSet.GetObject("Tactical"))
	if (pNxPDWFelix == None):
#		kDebugObj.Print("******* Tactical officer not found *********")
		return

#	kDebugObj.Print("Attaching menu to Tactical..")
	import Bridge.TacticalCharacterHandlers
	Bridge.TacticalCharacterHandlers.AttachMenuToTactical(pNxPDWFelix)


###############################################################################
#	ConfigureForNx()
#
#	Configure ourselves for the Nxula bridge
#
#	Args:	pNxPDWFelix	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForNx(pNxPDWFelix):
#	kDebugObj.Print("Configuring Felix for the Nx bridge")

	# Clear out any old animations from another configuration
	pNxPDWFelix.ClearAnimations()

	# Register animation mappings
	pNxPDWFelix.AddAnimation("SeatedNxTactical", "Bridge.Characters.NxPDWLargeAnimations.SeatedL")
	pNxPDWFelix.AddAnimation("EBL1LToT", "Bridge.Characters.NxPDWLargeAnimations.EBMoveFromL1ToT")
	pNxPDWFelix.AddAnimation("EBTacticalToL1", "Bridge.Characters.NxPDWLargeAnimations.EBMoveFromTToL1")
	pNxPDWFelix.AddAnimation("NxTacticalTurnCaptain", "Bridge.Characters.NxPDWLargeAnimations.NxTurnAtTTowardsCaptain")
	pNxPDWFelix.AddAnimation("NxTacticalBackCaptain", "Bridge.Characters.NxPDWLargeAnimations.NxTurnBackAtTFromCaptain")

	pNxPDWFelix.AddAnimation("NxTacticalTurnC", "Bridge.Characters.NxPDWLargeAnimations.NxTurnAtTTowardsCaptain")
	pNxPDWFelix.AddAnimation("NxTacticalBackC", "Bridge.Characters.NxPDWLargeAnimations.NxTurnBackAtTFromCaptain")
	pNxPDWFelix.AddAnimation("EBTacticalTurnE", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkE")
	pNxPDWFelix.AddAnimation("EBTacticalBackE", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkFinE")
	pNxPDWFelix.AddAnimation("EBTacticalTurnH", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkH")
	pNxPDWFelix.AddAnimation("EBTacticalBackH", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkFinH")
	pNxPDWFelix.AddAnimation("EBTacticalTurnS", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkS")
	pNxPDWFelix.AddAnimation("EBTacticalBackS", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkFinS")

	pNxPDWFelix.AddAnimation("EBTacticalTurnX", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkE")
	pNxPDWFelix.AddAnimation("EBTacticalBackX", "Bridge.Characters.NxPDWLargeAnimations.EBTTalkFinE")

	pNxPDWFelix.AddAnimation("NxTacticalGlanceCaptain", "Bridge.Characters.CommonAnimations.GlanceLeft")
	pNxPDWFelix.AddAnimation("NxTacticalGlanceAwayCaptain", "Bridge.Characters.CommonAnimations.SeatedL")

	# Breathing
	pNxPDWFelix.AddAnimation("NxTacticalBreathe", "Bridge.Characters.CommonAnimations.SeatedL")
	pNxPDWFelix.AddAnimation("NxTacticalBreatheTurned", "Bridge.Characters.CommonAnimations.BreathingTurned")

	# Nxeraction
	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.NxPDWLargeAnimations.NxTConsoleInteraction",App.CharacterClass.SITTING_ONLY, 25, 1)

	# So the mission builders can force the call
	pNxPDWFelix.AddAnimation("PushingButtons", "Bridge.Characters.NxPDWLargeAnimations.NxTConsoleInteraction")

	# Hit animations		
	#pNxPDWFelix.AddAnimation("NxTacticalHit", "Bridge.Characters.NxPDWLargeAnimations.NxTHit")
	#pNxPDWFelix.AddAnimation("NxTacticalHitHard", "Bridge.Characters.NxPDWLargeAnimations.NxTHitHard")
	pNxPDWFelix.AddAnimation("NxTacticalReactLeft", "Bridge.Characters.CommonAnimations.ReactLeft")
	pNxPDWFelix.AddAnimation("NxTacticalReactRight", "Bridge.Characters.CommonAnimations.ReactRight")

	# Add common animations.
	AddCommonAnimations(pNxPDWFelix)
	
	pNxPDWFelix.SetLocation("NxTactical")
	pNxPDWFelix.SetStanding(0)
	pNxPDWFelix.AddPositionZoom("NxTactical", 0.80, "Tactical")
	pNxPDWFelix.SetLookAtAdj(30, 0, 55)
#	kDebugObj.Print("Finished configuring Felix")



###############################################################################
#	AddCommonAnimations()
#
#	Since we can only clear out all animations when switching bridges (how
#	would we know which not to clear?), we can't really setup animations common
#	to all bridge configurations as we might like.  Because of this we have a
#	routine to add common animations (most of which are randoms) that both
#	configurations will call
#
#	Args:	pNxPDWFelix	- our Character object
#
#	Return:	none
###############################################################################
def AddCommonAnimations(pNxPDWFelix):
	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.NxPDWLargeAnimations.TLookAroundConsoleDown", 1, 1)

	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadLeft")
	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadRight")
	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookUp")
	pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookDown")

	#pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.WipingBrowLeft")
	#pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.WipingBrowRight")
	#pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookLeft")
	#pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookRight")
	#pNxPDWFelix.AddRandomAnimation("Bridge.Characters.CommonAnimations.AtEase", App.CharacterClass.STANDING_ONLY)

###############################################################################
#	OffBridgeStart
#	
#	Sets Felix's location to start in the off bridge partial set
#	
#	Args:	pNxPDWFelix	- our character object
#	
#	Return:	none
###############################################################################
def OffBridgeStart(pNxPDWFelix):
	pNxPDWFelix = App.CharacterClass_Cast(pNxPDWFelix)
	# Nothing else to do, unless you want to change his position

	#Adjust positions of bridge characters here
	pNxPDWFelix.SetTranslateXYZ(0, 0, -5)

	import Bridge.Characters.CommonAnimations
	return Bridge.Characters.CommonAnimations.Standing(pNxPDWFelix)


###############################################################################
#	ConfigureForOffBridge()
#
#	Configure ourselves for another partial set
#
#	Args:	pNxPDWFelix	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForOffBridge(pNxPDWFelix):
#	kDebugObj.Print("Configuring Felix for off bridge")

	# Clear out any old animations from another configuration
	pNxPDWFelix.ClearAnimations()

	# Register animation mappings
	pNxPDWFelix.SetStanding(1)
	pNxPDWFelix.SetHidden(0)
	pNxPDWFelix.SetLocation("KlingonSeated")
	AddCommonAnimations(pNxPDWFelix)

#	kDebugObj.Print("Finished configuring Felix")

###############################################################################
#	LoadSounds
#	
#	Precache Felix's typical voice lines, so they don't hitch the
#	game when they try to play.
#	
#	Args:	None
#	
#	Return:	None
###############################################################################
def LoadSounds():
	pGame = App.Game_GetCurrentGame()
	pDatabase = App.g_kLocalizationManager.Load("data/TGL/Bridge Crew General.tgl")

	# Loop through all of Felix's voice lines that we want to preload, and load them.
	for sLine in g_lsFelixLines:
		pGame.LoadDatabaseSoundInGroup(pDatabase, sLine, "BridgeGeneric")

	App.g_kLocalizationManager.Unload(pDatabase)

#
# A list of the voice lines we want preloaded for Felix.
#
g_lsFelixLines = (
	"AttackStatus_EvadingTorps1",
	"AttackStatus_FallingBack1",
	"AttackStatus_LiningUpFront1",
	"AttackStatus_MovingIn1",
	"AttackStatus_RearTorpRun1",
	"AttackStatus_SweepingPhasers1",
	"BadTarget1",
	"BadTarget2",
	"Disengaging",
	"DontShootTac",
	"EvasiveManuvers", # Sumbody furgot to spel this rite.
	"FelixEnDes",
	"FelixNothingToAdd",
	"FelixNothingToAdd2",
	"FelixNothingToAdd3",
	"FelixSir1",
	"FelixSir2",
	"FelixSir3",
	"FelixSir4",
	"FelixSir5",
	"FelixYes1",
	"FelixYes2",
	"FelixYes3",
	"FelixYes4",
	"ForeShieldsOffline",
	"Incoming1",
	"Incoming2",
	"Incoming3",
	"Incoming4",
	"Incoming5",
	"Incoming6",
	"LoadingPhoton",
	"LoadingQuantum",
	"LoadingTorps",
	"NeedPower",
	"OutOfPhotons",
	"OutOfQuantums",
	"OutOfType",
	"TacticalManuver", # This wun to.
	"gt001",
	"gt002",
	"gt007",
	"gt029",
	"gt030",
	"gt037",
	"gt038",
	"gt212",
	"gt213",
	)
