###############################################################################
#	Filename:	NxFemaleExtra2.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Loads Ambassador NxFemaleExtra2, and configures animations.
#	
#	Created:	10/03/00 -	CCarley
###############################################################################

import App
import CharacterPaths

#kDNxugObj = App.CPyDNxug()

###############################################################################
#	CreateCharacter()
#
#	Create NxFemaleExtra2 by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacter(pSet):
#	kDNxugObj.Print("Creating NxFemaleExtra2")

	if (pSet.GetObject("NxFemaleExtra2") != None):
		return(App.CharacterClass_Cast(pSet.GetObject("FemaleExtra2")))

	CharacterPaths.UpdatePaths()
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadLiu/liu_head.nif", None)
	pNxFemaleExtra2 = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", CharacterPaths.g_pcHeadNIFPath + "HeadLiu/liu_head.nif")

	pNxFemaleExtra2.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "BodyFemS/FedFemTeal_body1.tga", CharacterPaths.g_pcHeadTexPath + "HeadLiu/NxFemale_ensignA_head.tga")

	# Add the character to the set
	pSet.AddObjectToSet(pNxFemaleExtra2, "FemaleExtra2")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxFemaleExtra2)

	# Setup the character configuration
	pNxFemaleExtra2.SetSize(App.CharacterClass.MEDIUM)
	pNxFemaleExtra2.SetGender(App.CharacterClass.Female)
	pNxFemaleExtra2.SetRandomAnimationChance(.75)
	pNxFemaleExtra2.SetBlinkChance(0.1)
	pNxFemaleExtra2.SetCharacterName("FemaleExtra2")

	pNxFemaleExtra2.SetHidden(1)

	# Load NxFemaleExtra2's generic sounds
	LoadSounds()

	# Create NxFemaleExtra2's menus
	#import NxFemaleExtra2MenuHandlers
	#NxFemaleExtra2MenuHandlers.CreateMenus(pNxFemaleExtra2)

	pNxFemaleExtra2.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pNxFemaleExtra2.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pNxFemaleExtra2.SetLocation("")

#	kDNxugObj.Print("Finished creating NxFemaleExtra2")
	return pNxFemaleExtra2

###############################################################################
#	ConfigureForGalaxy()
#
#	Configure ourselves for the Galaxy bridge
#
#	Args:	pNxFemaleExtra2	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForGalaxy(pNxFemaleExtra2):
#	kDNxugObj.Print("Configuring NxFemaleExtra2 for the Galaxy bridge")

	# Clear out any old animations from another configuration
	pNxFemaleExtra2.ClearAnimations()

	#
	# *** CURRENTLY NxFemaleExtra2 HAS NO GALAXY CLASS ANIMATIONS ***
	#

	# Add common animations.
	AddCommonAnimations(pNxFemaleExtra2)

	pNxFemaleExtra2.SetAsExtra(1)
	pNxFemaleExtra2.SetHidden(1)

	pNxFemaleExtra2.SetLocation("DBL2M")
#	kDNxugObj.Print("Finished configuring NxFemaleExtra2")


###############################################################################
#	ConfigureForSovereign()
#
#	Configure ourselves for the Nx bridge
#
#	Args:	pNxFemaleExtra2	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForNx(pNxFemaleExtra2):
#	kDNxugObj.Print("Configuring NxFemaleExtra2 for the Nx bridge")

	# Clear out any old animations from another configuration
	pNxFemaleExtra2.ClearAnimations()

	# Register animation mappings
	pNxFemaleExtra2.AddAnimation("NxL2MToG", "Bridge.Characters.NxPDWMediumAnimations.NxL2ToG2")
	pNxFemaleExtra2.AddAnimation("NxG2MToL", "Bridge.Characters.NxPDWMediumAnimations.NxG2ToL2")
	pNxFemaleExtra2.AddAnimation("StandingNxG2M", "Bridge.Characters.CommonAnimations.Standing")
	pNxFemaleExtra2.SetStanding(1)

	# Hit animations
	pNxFemaleExtra2.AddAnimation("NxG2MHitStanding", "Bridge.Characters.CommonAnimations.HitStanding")
	pNxFemaleExtra2.AddAnimation("NxG2MHitHardStanding", "Bridge.Characters.CommonAnimations.HitHardStanding")
	pNxFemaleExtra2.AddAnimation("NxG2MReactLeft", "Bridge.Characters.CommonAnimations.ReactLeft")
	pNxFemaleExtra2.AddAnimation("NxG2MReactRight", "Bridge.Characters.CommonAnimations.ReactRight")
	pNxFemaleExtra2.AddAnimation("NxG2MFly", "Bridge.Characters.CommonAnimations.Blast")

	pNxFemaleExtra2.SetAsExtra(1)
	pNxFemaleExtra2.SetHidden(1)

	# Add common animations.
	AddCommonAnimations(pNxFemaleExtra2)

	pNxFemaleExtra2.SetLocation("NxL2M")
#	kDNxugObj.Print("Finished configuring NxFemaleExtra2")


###############################################################################
#	AddCommonAnimations()
#
#	Since we can only clear out all animations when switching bridges (how
#	would we know which not to clear?), we can't really setup animations common
#	to all bridge configurations as we might like.  Because of this we have a
#	routine to add common animations (most of which are randoms) that both
#	configurations will call
#
#	Args:	pNxFemaleExtra2	- our Character object
#
#	Return:	none
###############################################################################
def AddCommonAnimations(pNxFemaleExtra2):
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadLeft")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadRight")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookLeft")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookRight")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookUp")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookDown")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.HitCommunicator")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleDown")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleUp")
	pNxFemaleExtra2.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsole")
	
###############################################################################
#	LoadSounds()
#
#	Load generic bridge sounds for this character
#
#	Args:	none
#
#	Return:	none
###############################################################################
def LoadSounds():
	#
	# NxFemaleExtra2 has no generic bridge sounds at this time
	#
	pass
