###############################################################################
#	Filename:	NxFemaleExtra3.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Loads Ambassador NxFemaleExtra3, and configures animations.
#	
#	Created:	10/03/00 -	CCarley
###############################################################################

import App
import CharacterPaths

#kDNxugObj = App.CPyDNxug()

###############################################################################
#	CreateCharacter()
#
#	Create NxFemaleExtra3 by building his character and placing him on the passed in set.
#	Create his menus as well.
#
#	Args:	pSet	- the Set in which to place ourselves
#
#	Return:	none
###############################################################################
def CreateCharacter(pSet):
#	kDNxugObj.Print("Creating NxFemaleExtra3")

	if (pSet.GetObject("NxFemaleExtra3") != None):
		return(App.CharacterClass_Cast(pSet.GetObject("FemaleExtra3")))

	CharacterPaths.UpdatePaths()
	# Create the character
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", "Bip01")
	App.g_kModelManager.LoadModel(CharacterPaths.g_pcHeadNIFPath + "HeadSaffi/saffi_head.nif", None)
	pNxFemaleExtra3 = App.CharacterClass_Create(CharacterPaths.g_pcBodyNIFPath + "BodyFemM/BodyFemM.nif", CharacterPaths.g_pcHeadNIFPath + "HeadFem4/fem4_head.nif")

	pNxFemaleExtra3.ReplaceBodyAndHead(CharacterPaths.g_pcBodyTexPath + "BodyFemS/FedFemGold_body.tga", CharacterPaths.g_pcHeadTexPath + "HeadFem4/NxFemale_ensignC_head.tga")

	# Add the character to the set
	pSet.AddObjectToSet(pNxFemaleExtra3, "FemaleExtra3")
	pLight = pSet.GetLight("ambientlight1")
	pLight.AddIlluminatedObject(pNxFemaleExtra3)

	# Setup the character configuration
	pNxFemaleExtra3.SetSize(App.CharacterClass.MEDIUM)
	pNxFemaleExtra3.SetGender(App.CharacterClass.Female)
	pNxFemaleExtra3.SetRandomAnimationChance(.75)
	pNxFemaleExtra3.SetBlinkChance(0.1)
	pNxFemaleExtra3.SetCharacterName("FemaleExtra3")

	pNxFemaleExtra3.SetHidden(1)

	# Load NxFemaleExtra3's generic sounds
	LoadSounds()

	# Create NxFemaleExtra3's menus
	#import NxFemaleExtra3MenuHandlers
	#NxFemaleExtra3MenuHandlers.CreateMenus(pNxFemaleExtra3)

	pNxFemaleExtra3.SetDatabase("data/TGL/Bridge Crew General.tgl")

	pNxFemaleExtra3.AddAnimation("Place", "Bridge.Characters.CommonAnimations.Standing")
	pNxFemaleExtra3.SetLocation("")

#	kDNxugObj.Print("Finished creating NxFemaleExtra3")
	return pNxFemaleExtra3

###############################################################################
#	ConfigureForGalaxy()
#
#	Configure ourselves for the Galaxy bridge
#
#	Args:	pNxFemaleExtra3	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForGalaxy(pNxFemaleExtra3):
#	kDNxugObj.Print("Configuring NxFemaleExtra3 for the Galaxy bridge")

	# Clear out any old animations from another configuration
	pNxFemaleExtra3.ClearAnimations()

	#
	# *** CURRENTLY NxFemaleExtra3 HAS NO GALAXY CLASS ANIMATIONS ***
	#

	# Add common animations.
	AddCommonAnimations(pNxFemaleExtra3)

	pNxFemaleExtra3.SetAsExtra(1)
	pNxFemaleExtra3.SetHidden(1)

	pNxFemaleExtra3.SetLocation("DBL1M")
#	kDNxugObj.Print("Finished configuring NxFemaleExtra3")

###############################################################################
#	ConfigureForNx()
#
#	Configure ourselves for the Sovereign bridge
#
#	Args:	pMaleExtra3	- our Character object
#
#	Return:	none
###############################################################################
def ConfigureForNx(pNxMaleExtra3):
#	kDebugObj.Print("Configuring MaleExtra3 for the Sovereign bridge")

	# Clear out any old animations from another configuration
	pNxMaleExtra3.ClearAnimations()

	# Register animation mappings
	pNxMaleExtra3.AddAnimation("NxL1MToG", "Bridge.Characters.NxPDWMediumAnimations.NxL1ToG3")
	pNxMaleExtra3.AddAnimation("NxG3MToL", "Bridge.Characters.NxPDWMediumAnimations.NxG3ToL1")
	pNxMaleExtra3.AddAnimation("StandingNxG3M", "Bridge.Characters.CommonAnimations.Standing")
	pNxMaleExtra3.SetStanding(1)

	# Hit animations
	pNxMaleExtra3.AddAnimation("NxG3MHitStanding", "Bridge.Characters.CommonAnimations.HitStanding")
	pNxMaleExtra3.AddAnimation("NxG3MHitHardStanding", "Bridge.Characters.CommonAnimations.HitHardStanding")
	pNxMaleExtra3.AddAnimation("NxG3MReactLeft", "Bridge.Characters.CommonAnimations.ReactLeft")
	pNxMaleExtra3.AddAnimation("NxG3MReactRight", "Bridge.Characters.CommonAnimations.ReactRight")
	pNxMaleExtra3.AddAnimation("NxG3MFly", "Bridge.Characters.CommonAnimations.Blast2")

	pNxMaleExtra3.SetAsExtra(1)
	pNxMaleExtra3.SetHidden(1)

	# Add common animations.
	AddCommonAnimations(pNxMaleExtra3)

	pNxMaleExtra3.SetLocation("NxL1M")
#	kDebugObj.Print("Finished configuring MaleExtra3")
###############################################################################
#	AddCommonAnimations()
#
#	Since we can only clear out all animations when switching bridges (how
#	would we know which not to clear?), we can't really setup animations common
#	to all bridge configurations as we might like.  Because of this we have a
#	routine to add common animations (most of which are randoms) that both
#	configurations will call
#
#	Args:	pNxFemaleExtra3	- our Character object
#
#	Return:	none
###############################################################################
def AddCommonAnimations(pNxFemaleExtra3):
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadLeft")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.TiltHeadRight")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookLeft")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookRight")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookUp")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookDown")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.HitCommunicator")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleDown")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsoleUp")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.CommonAnimations.LookAroundConsole")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.NxPDWMediumAnimations.NxExtraConsoleInteraction")
	pNxFemaleExtra3.AddRandomAnimation("Bridge.Characters.NxPDWMediumAnimations.NxExtraConsoleInteraction")


###############################################################################
#	LoadSounds()
#
#	Load generic bridge sounds for this character
#
#	Args:	none
#
#	Return:	none
###############################################################################
def LoadSounds():
	#
	# NxFemaleExtra3 has no generic bridge sounds at this time
	#
	pass
