import Foundation

Foundation.BridgeDef('PDW NX Bridge', 'NXPDWbridge', dict = {
	'modes': [  Foundation.MutatorDef.QuickBattle ],
	'locations': {
	# Nx-01-Bridge Locations
	'NxHelm':	[ 'data/animations/NxPDW_stand_h_m.nif', 'NxPDW_stand_h_m' ],
	'NxTactical':	[ 'data/animations/NxPDW_stand_t_l.nif', 'NxPDW_stand_t_l' ],
	'NxCommander':	[ 'data/animations/NxPDW_stand_c_m.nif', 'NxPDW_stand_c_m' ],
	'NxScience':	[ 'data/animations/NxPDW_stand_S_S.nif', 'NxPDW_stand_s_s' ],
	'NxEngineer':	[ 'data/animations/NxPDW_stand_e_s.nif', 'NxPDW_stand_e_s' ],
	'NxGuest':	[ 'data/animations/NxPDW_stand_X_m.nif', 'NxPDW_stand_X_m' ],
	'NxL1S':	[ 'data/animations/NxPDW_L1toG3_S.nif', 'NxPDW_L1toG3_s', 'pCharacter.SetHidden(1)' ],
	'NxL1M':	[ 'data/animations/NxPDW_L1toG3_M.nif', 'NxPDW_L1toG3_M', 'pCharacter.SetHidden(1)' ],
	'NxL1L':	[ 'data/animations/NxPDW_L1toG3_L.nif', 'NxPDW_L1toG3_L', 'pCharacter.SetHidden(1)' ],
	'NxL2M':	[ 'data/animations/NxPDW_L2toG2_M.nif', 'NxPDW_L2toG2_M', 'pCharacter.SetHidden(1)' ],
	'NxG1M':	[ 'data/animations/NxPDW_G1toL2_M.nif', 'NxPDW_G1toL2_M' ],
	'NxG2M':	[ 'data/animations/NxPDW_G2toL2_M.nif', 'NxPDW_G2toL2_M' ],
	'NxG3M':	[ 'data/animations/NxPDW_G3toL1_M.nif', 'NxPDW_G3toL1_M' ],
	},
	'Maps':{
		'CurrentMaps': {"SCREEN-lm": "SCREEN-lm", "dome" : "dome", "Columns" : "Columns", "Consoles" : "Consoles", "floor" : "floor", "chair" : "chair", "Liftdoor-lm" : "Liftdoor-lm", "Liftdoor01-lm" : "Liftdoor01-lm", "WallBox1-lm" : "WallBox1-lm", "WallBox2-lm" : "WallBox2-lm", "WallBox03-lm" : "WallBox03-lm", "WallBox04-lm" : "WallBox04-lm","Wall-lm" : "Wall-lm", "WallR-lm" : "WallR-lm","bkWALL-lm" : "bkWALL-lm", "bkWallL-lm" : "bkWallL-lm", "bkWallR-lm" : "bkWallR-lm","bkColumnPole-lm" : "bkColumnPole-lm", "Rail-lm" : "Rail-lm", "ceiling" : "ceiling", "HelmChair-lm" : "HelmChair-lm",  "HelmCon-lm" : "HelmCon-lm", "HelmCon2-lm" : "HelmCon2-lm" },
		'GreenMaps':{'SCREEN-lm': 
'data/Models/Sets/NXPDWbridge/High/SCREEN-lm.tga',
			     'dome': 
'data/Models/Sets/NXPDWbridge/High/dome.tga',
'Columns': 'data/Models/Sets/NXPDWbridge/High/Columns.tga',
'Consoles': 'data/Models/Sets/NXPDWbridge/High/Consoles.tga',
'floor': 'data/Models/Sets/NXPDWbridge/High/floor.tga',
'chair': 'data/Models/Sets/NXPDWbridge/High/chair.tga',
'Liftdoor-lm': 'data/Models/Sets/NXPDWbridge/High/Liftdoor-lm.tga',
'Liftdoor01-lm': 'data/Models/Sets/NXPDWbridge/High/Liftdoor01-lm.tga',
'WallBox1-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox1-lm.tga',
'WallBox2-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox2-lm.tga',
'WallBox03-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox03-lm.tga',
'WallBox04-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox04-lm.tga',
'Wall-lm': 'data/Models/Sets/NXPDWbridge/High/Wall-lm.tga',
'WallR-lm': 'data/Models/Sets/NXPDWbridge/High/WallR-lm.tga',
'bkWALL-lm': 'data/Models/Sets/NXPDWbridge/High/bkWALL-lm.tga',
'bkWallL-lm': 'data/Models/Sets/NXPDWbridge/High/bkWallL-lm.tga',
'bkWallR-lm': 'data/Models/Sets/NXPDWbridge/High/bkWallR-lm.tga',
'bkColumnPole-lm': 'data/Models/Sets/NXPDWbridge/High/bkColumnPole-lm.tga',
'Rail-lm': 'data/Models/Sets/NXPDWbridge/High/Rail-lm.tga',
'ceiling': 'data/Models/Sets/NXPDWbridge/High/ceiling.tga',
'HelmChair-lm': 'data/Models/Sets/NXPDWbridge/High/HelmChair-lm.tga',
'HelmCon-lm': 'data/Models/Sets/NXPDWbridge/High/HelmCon-lm.tga',
'HelmCon2-lm': 'data/Models/Sets/NXPDWbridge/High/HelmCon2-lm.tga'},
		'RedMaps':{'SCREEN-lm': 'data/Models/Sets/NXPDWbridge/High/SCREENRED-lm.tga',
			     'dome': 'data/Models/Sets/NXPDWbridge/High/domeRED.tga',
'Columns': 'data/Models/Sets/NXPDWbridge/High/ColumnsRED.tga',
'Consoles': 'data/Models/Sets/NXPDWbridge/High/ConsolesRED.tga',
'floor': 'data/Models/Sets/NXPDWbridge/High/floorRED.tga',
'chair': 'data/Models/Sets/NXPDWbridge/High/chairRED.tga',
'Liftdoor-lm': 'data/Models/Sets/NXPDWbridge/High/LiftdoorR-lm.tga',
'Liftdoor01-lm': 'data/Models/Sets/NXPDWbridge/High/Liftdoor01R-lm.tga',
'WallBox1-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox1R-lm.tga',
'WallBox2-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox2RED-lm.tga',
'WallBox03-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox03RED-lm.tga',
'WallBox04-lm': 'data/Models/Sets/NXPDWbridge/High/WallBox04RED-lm.tga',
'Wall-lm': 'data/Models/Sets/NXPDWbridge/High/WallRED-lm.tga',
'WallR-lm': 'data/Models/Sets/NXPDWbridge/High/Wall01-lm.tga',
'bkWALL-lm': 'data/Models/Sets/NXPDWbridge/High/bkWALLRED-lm.tga',
'bkWallL-lm': 'data/Models/Sets/NXPDWbridge/High/bkWallLR-lm.tga',
'bkWallR-lm': 'data/Models/Sets/NXPDWbridge/High/bkWallRRED-lm.tga',
'bkColumnPole-lm': 'data/Models/Sets/NXPDWbridge/High/bkColumnPoleR-lm.tga',
'Rail-lm': 'data/Models/Sets/NXPDWbridge/High/RailR-lm.tga',
'ceiling': 'data/Models/Sets/NXPDWbridge/High/ceilingRED.tga',
'HelmChair-lm': 'data/Models/Sets/NXPDWbridge/High/HelmChairR-lm.tga',
'HelmCon-lm': 'data/Models/Sets/NXPDWbridge/High/HelmConR-lm.tga',
'HelmCon2-lm': 'data/Models/Sets/NXPDWbridge/High/HelmCon2R-lm.tga'},
	},
	"bridgeSound":	{
		"LiftDoor": {"volume": 1.0,"file": "sfx/PDW/door.wav", "group": "BridgeGeneric"},
		"AmbBridge": {"volume": 0.4,"file": "sfx/PDW/ambcrew.wav", "group": "BridgeGeneric"},
		"RedAlertSound": {"volume": 0.5,"file": "sfx/PDW/red.wav", "group": "BridgeGeneric"},
		"YellowAlertSound": {"volume": 0.5,"file": "sfx/PDW/yellow.wav", "group": "BridgeGeneric"},
		"GreenAlertSound": {"volume": 1.0,"file": "sfx/NXBridge/NXGreen.wav", "group": "BridgeGeneric"},
		"ViewOn": {"volume": 1.0,"file": "sfx/NXBridge/NXHailIn.wav", "group": "BridgeGeneric"},
		"ViewOff": {"volume": 1.0,"file": "sfx/NXBridge/NXHailOut.wav", "group": "BridgeGeneric"}
	},
	"LoadingScreen": "data/Icons/LoadingScreens/NXLoading.tga",
} )